Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.commands
[Groovy] Class InspectCommandCompletor

    java.lang.Object
      jline.SimpleCompletor
          org.codehaus.groovy.tools.shell.util.SimpleCompletor
              org.codehaus.groovy.tools.shell.commands.InspectCommandCompletor

    class InspectCommandCompletor
    extends SimpleCompletor

Completor for the 'inspect' command.

Authors:
  Jason Dillon

Version:
  \$Id\$

Constructor Summary
`InspectCommandCompletor(Binding binding)`

Method Summary
`java.util.SortedSet` | `getCandidates()`

Methods inherited from class SimpleCompletor
add, complete, leftShift

Methods inherited from class jline.SimpleCompletor
jline.SimpleCompletor#setDelimiter(java.lang.String), jline.SimpleCompletor#getDelimiter(), jline.SimpleCompletor#setCandidates(java.util.SortedSet), jline.SimpleCompletor#setCandidateStrings([Ljava.lang.String;), jline.SimpleCompletor#addCandidateString(java.lang.String), jline.SimpleCompletor#getCandidates(), jline.SimpleCompletor#clone(), jline.SimpleCompletor#complete(java.lang.String, int, java.util.List), jline.SimpleCompletor#wait(long), jline.SimpleCompletor#wait(long, int), jline.SimpleCompletor#wait(), jline.SimpleCompletor#equals(java.lang.Object), jline.SimpleCompletor#toString(), jline.SimpleCompletor#hashCode(), jline.SimpleCompletor#getClass(), jline.SimpleCompletor#notify(), jline.SimpleCompletor#notifyAll()

Constructor Detail

### InspectCommandCompletor

    InspectCommandCompletor(Binding binding)

Method Detail

### getCandidates

    java.util.SortedSet getCandidates()

Groovy Documentation